community-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hasitha Jayasundara (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (COMDEV-210) Migrating the Trac version of Apache Bloodhound
Date Sat, 04 Mar 2017 13:02:45 GMT

    [ https://issues.apache.org/jira/browse/COMDEV-210?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15895662#comment-15895662
] 

Hasitha Jayasundara commented on COMDEV-210:
--------------------------------------------

Hi [~dammina]
Any idea on this error

Traceback (most recent call last):
  File "setup.py", line 144, in <module>
    package_dir = dict([p, i[0]] for p, i in PKG_INFO.iter
AttributeError: 'dict' object has no attribute 'iteritems'

Getting this when I am trying to run setup.py

> Migrating the Trac version of Apache Bloodhound
> -----------------------------------------------
>
>                 Key: COMDEV-210
>                 URL: https://issues.apache.org/jira/browse/COMDEV-210
>             Project: Community Development
>          Issue Type: Improvement
>            Reporter: Dammina Sahabandu
>              Labels: gsoc2017
>
> Currently the Apache Bloodhound project is using Trac 1.0.1
> The requirement is to migrate the Trac version to Trac 1.0.12
> The code migration work has been almost completed already. Therefore the work mostly
will be on test suite migration for the new Trac version. 
> As Apache Bloodhound and Trac are written in Python it is required to have the basic
knowledge in Python for this project.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message